commit:     363f7ef5affb2462f2bb0569aeb26fea48f94cdd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 28 04:35:37 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 28 04:57:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=363f7ef5

dev-python/yara-python: Bump to 4.5.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/yara-python/Manifest                 |  1 +
 dev-python/yara-python/yara-python-4.5.4.ebuild | 40 +++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/yara-python/Manifest b/dev-python/yara-python/Manifest
index a3a35a4a7f60..8028381fe561 100644
--- a/dev-python/yara-python/Manifest
+++ b/dev-python/yara-python/Manifest
@@ -1,2 +1,3 @@
 DIST yara-python-4.5.2.gh.tar.gz 39258 BLAKE2B 
db9038d476654916eb66d72c6e45b93faf61e8e2621b2a6d862620d100a5d5f7b292e586e68c77cf8a76ce728fcf976690bfd468f027a77f28519298dc3a668a
 SHA512 
586f22d50db01b21e47a8b76e069a917018cc86f8931f438c5066b38323f7a477a919d9e10e704e74f2962ae02bb1715834c704dfe16b66311f48f06c0c5165a
 DIST yara-python-4.5.3.gh.tar.gz 39315 BLAKE2B 
11dfcca60ff4d366ee05a6228921e7733e7bd63111cbea0c6a947e2ef3760fe4854758a3492c7652543f70597c20151429af03ee5c98a9f86d2fe505fb677a26
 SHA512 
f7e6860c479e70efe5f56b2fea4f2b5d4878ec6a19778e59465f9983c7af493215925d753218fce1fd0e906634582bf5c67095e398864f706d36bbe4a43a5537
+DIST yara-python-4.5.4.gh.tar.gz 39313 BLAKE2B 
fc41fd378bcd2cd1da2ae442f794c413d52a2dae9c9766d03ee1a641f31a5ceb4fc50555d17e7167f080851aae68f1c248fcd09de981326797666d0669ead419
 SHA512 
fee87a2127284a2287c60b14bcd36facf061542da1321ccaa26dbe23c7e8534253434a78c8a65a0c2915bb1331acbdee78b12d02b748ec7d95a106913172a1a2

diff --git a/dev-python/yara-python/yara-python-4.5.4.ebuild 
b/dev-python/yara-python/yara-python-4.5.4.ebuild
new file mode 100644
index 000000000000..604f35884253
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.5.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_EXT=1
+PYTHON_COMPAT=( python3_{11..14} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification 
tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python";
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/VirusTotal/yara-python.git";
+else
+       
SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+       =app-forensics/yara-$(ver_cut 1-2)*
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+       cat >> setup.cfg <<-EOF
+       dynamic_linking = True
+       EOF
+}
+
+python_test() {
+       "${EPYTHON}" tests.py -v || die "Tests fail with ${EPYTHON}"
+}

Reply via email to